# Generated from osc_machete_rails-2.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name osc_machete_rails

Name: rubygem-%{gem_name}
Version: 2.1.2
Release: 1%{?dist}
Summary: Build Rails apps to manage batch jobs (currently OSC specific)
License: MIT
URL: https://github.com/OSC/osc_machete_rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3) >= 1.4
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(pbs) >= 2.0
# BuildRequires: rubygem(pbs) < 3
# BuildRequires: rubygem(bootstrap_form) >= 4.3.0
# BuildRequires: rubygem(bootstrap_form) < 4.4
# BuildRequires: rubygem(rails-controller-testing)
# BuildRequires: rubygem(listen)
# BuildRequires: rubygem(bootsnap)
BuildArch: noarch

%description
Build Rails apps to manage batch jobs (currently OSC specific). Provides
generators and a Rails plugin.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue May 17 2022 mockbuilder - 2.1.2-1
- Initial package
